Find the answer to your Linux question:
Results 1 to 4 of 4
Hi to all, i want to upgrade my kernel of my Suse 8.0 to 2.6 because i need to install SATA Drive and the Kernel 2.4 cannot view the Device. ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jul 2009
    Posts
    2

    Suse 8.0 Upgrade Kernel 2.4.18 to 2.6


    Hi to all,
    i want to upgrade my kernel of my Suse 8.0 to 2.6 because i need to install SATA Drive and the Kernel 2.4 cannot view the Device.
    How i can install the new kernel?
    Anyone can help me?
    Awaiting your reply.
    Best regards

  2. #2
    oz
    oz is offline
    forum.guy
    Join Date
    May 2004
    Location
    arch linux
    Posts
    18,733
    Welcome to the forums!

    Suse 8.0 is more than 7 years old already, so you'd probably be better off doing a fresh install using the latest version of openSUSE, if that's an option that you can accept. It would of course come with a fairly recent version of the 2.6 kernel by default.

    If that option won't work for you, here's a HowTo explaining how you can upgrade to a new kernel by compiling from source (method 2):

    SuSELinuxSupport: How To: Safe Kernel Upgrade For SuSE

    I personally think that backing up your data and doing a fresh install, then restoring your data would be the easier and more sensible approach, but best of luck with it, either way.
    oz

  3. #3
    Linux Guru
    Join Date
    Jul 2004
    Posts
    4,593
    I don't know if this is even possible. So many things have changed since Suse 8 came out. You could try the latest version of the 2.4 kernel. (Click the "F" to the right of it for the full sources.)

    The Linux Kernel Archives

    You could also find the driver sources and try to compile it on your current kernel. You will need to know the chip that your card is using, so that you can find the driver. The driver source would need to be specific for the 2.4 kernel.
    Please do not send Private Messages to me with requests for help. I will not reply.

  4. #4
    Just Joined!
    Join Date
    Jul 2009
    Posts
    2
    Thanks for all,
    the best way is install the new OpenSuse Version, but into this server i have Apache Catalina with Tomcat and myauth-server for oracle.
    I have already a clone of this disk for make some test.
    Anyone can help me to install Tomcat and myauth-server? because i will make a new server working.
    I know the Suse 8.0 it's a very old release and with a new server i can't install them.
    Awaiting your reply.
    Best regards

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •